2019-01-16 17:28 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002052NetSurfAmiga-specificpublic2015-03-10 10:38
ReporterChris Young 
Assigned ToChris Young 
SeverityminorReproducibilityalways 
StatusclosedResolutionfixed 
PlatformAmigaOSAmigaOSOS Version4.1
Product Version3.0 
Target Version3.1Fixed in Version3.1 
Summary0002052: Uploading files with non-ASCII filenames fails
DescriptionUploading files with non-ASCII filenames causes an error message stating the file could not be found. The associated NetSurf log output has additional characters in it indicating that the filename has been converted to UTF-8.
Steps To ReproduceName a file something like ©.jpg and try to submit it in an upload form (eg. here)
Additional InformationReporting here so I do not lose visibility of this issue.
TagsNo tags attached.
Fixed in CI build #1582
Reported in CI build #1572
URL of problem page
Attached Files

-Relationships
has duplicate 0000446closedVincent Sanders "Failed creating formpost data" - hard spaces in file paths 
+Relationships

-Notes
Chris Young

~0000152

Chris Young (developer)

Untested fix submitted as branch chris/non-ascii-file-upload
Vincent Sanders

~0000663

Vincent Sanders (administrator)

Confirmed fixed in 3.1 release
+Notes

-Issue History
Date Modified Username Field Change
2014-01-04 18:08 Chris Young New Issue
2014-01-04 18:08 Chris Young Status new => assigned
2014-01-04 18:08 Chris Young Assigned To => Chris Young
2014-01-04 18:09 Chris Young Note Added: 0000152
2014-01-04 18:09 Chris Young Status assigned => confirmed
2014-01-04 18:12 Chris Young Description Updated View Revisions
2014-01-04 18:12 Chris Young Steps to Reproduce Updated View Revisions
2014-01-04 19:18 Vincent Sanders Relationship added has duplicate 0000446
2014-01-04 21:59 Michael Drake Fixed in CI build # => 1582
2014-01-04 21:59 Michael Drake Status confirmed => resolved
2014-01-04 21:59 Michael Drake Resolution open => fixed
2014-01-04 21:59 Michael Drake Fixed in Version => 3.1
2015-03-10 10:38 Vincent Sanders Note Added: 0000663
2015-03-10 10:38 Vincent Sanders Status resolved => closed
+Issue History